Need an upgrade.

I have been absent for a while, but now i'm back & looking to get back into the world of <a href="http://www.vapininthecape.com/eliquid_c_7.html”>vape again.

The thing is I need an upgrade & I'm out of the loop, so I thought who better to ask than the knowledgeable Apes!!

I currently have a Coolfire 4 (TC100) with the tank it came with & I really, desperately need some better flavor production.

Looking for either a tank suggestion, or a whole re-boot with a new mod included. (Nothing too complicated – just plug & play).

What do you think Apes,…

<a href="https://www.planetofthe<a href="http://www.vapininthecape.com/eliquid_c_7.html”>vapes.co.uk/forums/new-users-corner/new-user-questions-and-discussion/threads/need-an-upgrade.141088/”>Need an upgrade.


Fatal error: Uncaught Exception: 12: REST API is deprecated for versions v2.1 and higher (12) thrown in /home/ecigcape/public_html/wp-content/plugins/seo-facebook-comments/facebook/base_facebook.php on line 1273